librime: rime::path Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Friends | List of all members
rime::path Class Reference

`#include <common.h>`

Inheritance diagram for rime::path:
[legend]
Collaboration diagram for rime::path:
[legend]

## Public Member Functions
| path ()
| path (const fs_path &p)
| path (fs_path &&p)
| path (const std::string &utf8_path)
| path (const char *utf8_path)
path & | operator/= (const path &p)
path & | operator/= (const fs_path &p)
path & | operator/= (const std::string &p)
path & | operator/= (const char *p)

## Friends
path | operator/ (const path &lhs, const path &rhs)
path | operator/ (const path &lhs, const fs_path &rhs)
path | operator/ (const fs_path &lhs, const path &rhs)
path | operator/ (const path &lhs, const std::string &rhs)
path | operator/ (const path &lhs, const char *rhs)
path | operator/ (const fs_path &lhs, const std::string &rhs)
path | operator/ (const fs_path &lhs, const char *rhs)

## Constructor & Destructor Documentation

## ◆ path() [1/5]

rime::path::path | ( |  | ) |
| inline

## ◆ path() [2/5]

rime::path::path | ( | const fs_path & | p | ) |
| inline

## ◆ path() [3/5]

rime::path::path | ( | fs_path && | p | ) |
| inline

## ◆ path() [4/5]

rime::path::path | ( | const std::string & | utf8_path | ) |
| inlineexplicit

## ◆ path() [5/5]

rime::path::path | ( | const char * | utf8_path | ) |
| inlineexplicit

## Member Function Documentation

## ◆ operator/=() [1/4]

path & rime::path::operator/= | ( | const char * | p | ) |
| inline

## ◆ operator/=() [2/4]

path & rime::path::operator/= | ( | const fs_path & | p | ) |
| inline

## ◆ operator/=() [3/4]

path & rime::path::operator/= | ( | const path & | p | ) |
| inline

## ◆ operator/=() [4/4]

path & rime::path::operator/= | ( | const std::string & | p | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ operator/ [1/7]

path operator/ | ( | const fs_path & | lhs,
|  | const char * | rhs )
| friend

## ◆ operator/ [2/7]

path operator/ | ( | const fs_path & | lhs,
|  | const path & | rhs )
| friend

## ◆ operator/ [3/7]

path operator/ | ( | const fs_path & | lhs,
|  | const std::string & | rhs )
| friend

## ◆ operator/ [4/7]

path operator/ | ( | const path & | lhs,
|  | const char * | rhs )
| friend

## ◆ operator/ [5/7]

path operator/ | ( | const path & | lhs,
|  | const fs_path & | rhs )
| friend

## ◆ operator/ [6/7]

path operator/ | ( | const path & | lhs,
|  | const path & | rhs )
| friend

## ◆ operator/ [7/7]

path operator/ | ( | const path & | lhs,
|  | const std::string & | rhs )
| friend

The documentation for this class was generated from the following file:

- common.h